@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
pio_sm_config Struct Reference
hardware_pio » sm_config

PIO Configuration structure. More...

`#include <pio.h>`

## Data Fields

uint32_t | clkdiv
uint32_t | execctrl
uint32_t | shiftctrl
uint32_t | pinctrl

## Detailed Description

PIO Configuration structure.

This structure is an in-memory representation of the configuration that can be applied to a PIO state machine later using pio_sm_set_config() or pio_sm_init().

The documentation for this struct was generated from the following file:

- include/hardware/pio.h